extends Control
func _input(event):
	if event is InputEventKey:
		$Label.text = (
			"Event information:\n"
			+ "echo: %s\n" % event.echo
			+ "pressed: %s\n" % event.pressed
			+ "scancode: 0d%04d = 0x%04x (%s)\n" % [event.scancode, event.scancode, OS.get_scancode_string(event.scancode)]
			+ "physical scancode: 0d%04d = 0x%04x (%s)\n" % [event.physical_scancode, event.physical_scancode, OS.get_scancode_string(event.physical_scancode)]
			+ "unicode: 0d%04d = 0x%04x (%s)\n" % [event.unicode, event.unicode, char(event.unicode)]
			+ "get_scancode_with_modifiers(): %d (0x%08x)\n" % [event.get_scancode_with_modifiers(), event.get_scancode_with_modifiers()]
			+ "get_physical_scancode_with_modifiers(): %d (0x%08x)" % [event.get_physical_scancode_with_modifiers(), event.get_physical_scancode_with_modifiers()]
		)
